Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066606 - [GSS] (6.3.0) Using a log4j appender as a custom-handler should invoke the activateOptions if required
Summary: [GSS] (6.3.0) Using a log4j appender as a custom-handler should invoke the ac...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR1
: EAP 6.3.0
Assignee: James Perkins
QA Contact: Michal Karm Babacek
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1066607
TreeView+ depends on / blocked
 
Reported: 2014-02-18 17:23 UTC by Kyle Lape
Modified: 2018-12-05 17:20 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP, changing a property in a custom-handler that was a log4j appender did not invoke the `OptionHandler.activateOptions()` on the appender if the appender implemented `OptionHandler`. It required a restart of logging resources for the change to take effect. In this release, the activation method is now invoked if properties are changed on the log4j appender and a restart is no longer required for `OptionHandler` appenders.
Clone Of:
: 1066607 (view as bug list)
Environment:
Last Closed: 2014-06-28 15:27:42 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2995 Major Resolved Using a log4j appender as a custom-handler should invoke the activateOptions if required 2014-08-13 10:51:02 UTC

Description Kyle Lape 2014-02-18 17:23:04 UTC
Currently the OptionHandler.activateOptions is only invoked during construction of a log4j appender. This invocation should happen if any property is updated or added. The invocation of this method should also only happen once. Multiple invocation could result in errors or leave the appender in an invalid state.

Comment 2 Michal Karm Babacek 2014-03-04 10:33:50 UTC
Fix is present, dummy property in place. DR1

Comment 3 Scott Mumford 2014-04-24 04:59:21 UTC
Added release note text from bug 1066607 (duplicate) written for 6.2 release and marking for inclusion in 6.3.0 documentation.

Comment 4 sgilda 2014-05-12 19:56:27 UTC
Changed <literal></literal> tags in Doc Text to ticks (`) to fix Bug 1096865


Note You need to log in before you can comment on or make changes to this bug.